%define name	wmtv
%define version	0.6.5
%define release %mkrel 9
 
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
Source:		%{name}-%{version}.tar.bz2
Source1:	wmtvrc.europe
Source2:	wmtv-master.xpm
License: 	GPLv2+
Group:		Video
Summary:	WindowMaker dock.app that controls TV 
URL:		http://www.student.uwa.edu.au/~wliang
BuildRequires:	pciutils-devel xpm-devel
BuildRequires:	X11-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
wmtv is a WindowMaker dock.app that controls TV Cards which are
supported under the Linux Kernel 2.2.x series (mainly for cards based
on BrookTree BT848/848a/84 9a/878/879 chipsets: There are lots of cards
out there which uses these chipsets such as the Hauppauge WinTV,
Aimslab VideoExtreme, miroVIDEO PCTV, AverMedia TV Phone, etc).

%prep
%setup -n %{name}-%{version}

%build
%make

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/pixmaps
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp ${RPM_BUILD_DIR}/%{name}-%{version}/%{name} ${RPM_BUILD_ROOT}/%{_bindir}/%{name}
install -m644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_sysconfdir}/wmtvrc
install -m644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_prefix}/share/pixmaps/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=WMtv
Comment=WM Dock TV
TryExec=%{name}
Exec=%{name}
Icon=video_section
Terminal=false
StartupNotify=true
Categories=GNOME;GTK;AudioVideo;Audio;Video;Player;
Type=Application
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README wmtvrc.sample CREDITS COPYING CHANGES 
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/wmtvrc
%{_prefix}/share/pixmaps/%{name}.xpm
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.5-9mdv2008.1
+ Revision: 171175
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 10 2007 Funda Wang <fundawang@mandriva.org> 0.6.5-8mdv2008.1
+ Revision: 116826
- drop old menu
- import wmtv


* Mon Aug  7 2006 Antoine Ginies <aginies@mandriva.com> 0.6.5-7mdv2007.0
- rebuild
- use mkrel
- XDG menu

* Fri Mar 18 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 0.6.5-6mdk 
- rebuild

* Sat Nov 08 2003 Michael Scherer <scherer.michael@free.fr> 0.6.5-5mdk 
- BuildRequires ( XFree86-devel )

* Mon Aug 25 2003 Michael Scherer <scherer.michael@free.fr> 0.6.5-4mdk 
- spec cleanup
- BuildRequires ( libxpm-devel )

* Mon Aug 18 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 0.6.5-3mdk 
- rebuild 9.2

* Thu Feb 27 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.6.5-2mdk
- rebuild 
* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.6.5-1mdk
- first release for Mandrakesoft
